export interface ExecResult {
    readonly cmd?: string;
    readonly killed?: boolean;
    readonly signal?: string;
    readonly code?: number;
    readonly stdout: string;
    readonly stderr: string;
    /**
     * Split output lines.
     * @returns The list of lines.
     */
    lines(): string[];
    /**
     * Parse each output line as a JSON object.
     * @returns The list of lines where each line is a JSON object.
     */
    parseJsonLines(): any[];
    /**
     * Parse a well-formed JSON output.
     * @returns The JSON object.
     */
    parseJsonObject(): any;
}
